%define name xcave
%define version 2.3.2
%define release %mkrel 5

Summary: A wine cellar manager
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://xcave.free.fr/download/en/%{name}-%{version}.tar.gz
# (fc) 2.3.2-1mdv fix build with latest glibc/gcc
Patch0: xcave-2.3.2-fixbuild.patch
Patch1: xcave-2.3.2-automake-1.13.patch
License: GPLv2+
Group: Databases
Url: http://xcave.free.fr/
BuildRequires: gtk+2-devel
BuildRequires: libglade2-devel
BuildRequires: atk-devel
BuildRequires: imagemagick
BuildRequires: intltool
BuildRequires: gettext-devel

%description
xcave is a cellar manager, to allow to view and manage the contents of
a wine cellar.
The 'wine' referred to here, is for drinking, nothing to do with
Windows emulator.
It provides:
- a wine cellar manager
- a graphical representation of the cellar
  (the rack number and rack dimensions can be changed)
- many fields are predetermined depending on the appellation
- a stock data or information about a specific wine can be printed
- a tasting notes and comments
- a xml structure for the stock file
- a colour differences calculated by vintage and time stored in cellar
- a different sorting and presentation options
  (by maturity, name, vintage (year), producer and quantity)

%prep
%setup -q
%patch0 -p1 -b .fixbuild
%patch1 -p1 -b .automake-1_13

%build
autoreconf -fi
%configure2_5x
%make

%install
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%_real_vendor-%{name}.desktop << EOF
[Desktop Entry]
Name=XCave
Comment=View and manage a wine cellar
Exec=%_bindir/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Office;Database;GTK;
EOF

mkdir -p $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_miconsdir}
convert -geometry 48x48 pixmaps/%{name}-icon.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -geometry 32x32 pixmaps/%{name}-icon.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -geometry 16x16 pixmaps/%{name}-icon.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

rm -rf $RPM_BUILD_ROOT%{_prefix}/doc
%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog TODO
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}
%{_datadir}/applications/%_real_vendor-%{name}.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 2.3.2-5.mga3
+ Revision: 386658
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 2.3.2-4.mga3
+ Revision: 339773
- patch1: fix build with automake 1.13

* Sat Dec 15 2012 fwang <fwang> 2.3.2-3.mga3
+ Revision: 331259
- cleanup spec

* Sun Dec 02 2012 pterjan <pterjan> 2.3.2-2.mga3
+ Revision: 325431
- Drop empty README file

* Fri May 13 2011 dmorgan <dmorgan> 2.3.2-1.mga1
+ Revision: 97684
- imported package xcave

